com.microfocus.awm.control.toolexecution.internal

## Class MassProcessingToolContext

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.AbstractToolContext
  - - com.microfocus.awm.control.toolexecution.internal.SingleProcessingToolContext
    - - com.microfocus.awm.control.toolexecution.internal.MassProcessingToolContext

- All Implemented Interfaces:
    IDynamicObject, IMassProcessingToolContext, IToolContext

      public class MassProcessingToolContext
      extends SingleProcessingToolContext
      implements IMassProcessingToolContext

  Standard implementation of `IMassProcessingToolContext`.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MassProcessingToolContext(ToolDescriptor pToolDescriptor, IExecutionContext pContext)` Creates a new mass processing tool context.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IToolContext>` | `getSubContexts()` Returns the list of sub-contexts, representing the resources that are currently processed.

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.internal.AbstractToolContext

      `getExecutionContext, getFunctionPackage, getInputParameters, getInputParameters, getModelObject, getOutputParameters, getOutputParameters`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolContext

      `getExecutionContext, getFunctionPackage, getInputParameters, getInputParameters, getModelObject, getOutputParameters, getOutputParameters`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### MassProcessingToolContext

          public MassProcessingToolContext(ToolDescriptor pToolDescriptor,
                                           IExecutionContext pContext)
                                    throws TaurusToolException

      Creates a new mass processing tool context.
      Parameters:
        `pToolDescriptor` - the tool descriptor
        `pContext` - execution context
      Throws:
        `TaurusToolException` - if an error occurs during creation of parameters or sub contexts

  - ### Method Detail

    - #### getSubContexts

          public java.util.List<IToolContext> getSubContexts()

      Description copied from interface: `IMassProcessingToolContext`
      Returns the list of sub-contexts, representing the resources that are currently processed.
      Specified by:
        `getSubContexts` in interface `IMassProcessingToolContext`
      Returns:
        sub-contexts

Copyright © 2015 Micro Focus GmbH. All rights reserved.